# Interface methods for submodule: ContourExtractor2DImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToPathFilterProxy as _ImageToPathFilterProxy


# Interface methods for class: ContourExtractor2DImageFilter
class ContourExtractor2DImageFilterProxy(_ImageToPathFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetReverseContourOrientation(self, _arg: bool) -> None:
		""""""
		...

	def GetReverseContourOrientation(self) -> bool:
		""""""
		...

	def ReverseContourOrientationOn(self) -> None:
		""""""
		...

	def ReverseContourOrientationOff(self) -> None:
		""""""
		...

	def SetVertexConnectHighPixels(self, _arg: bool) -> None:
		""""""
		...

	def GetVertexConnectHighPixels(self) -> bool:
		""""""
		...

	def VertexConnectHighPixelsOn(self) -> None:
		""""""
		...

	def VertexConnectHighPixelsOff(self) -> None:
		""""""
		...

	def SetLabelContours(self, _arg: bool) -> None:
		""""""
		...

	def GetLabelContours(self) -> bool:
		""""""
		...

	def LabelContoursOn(self) -> None:
		""""""
		...

	def LabelContoursOff(self) -> None:
		""""""
		...

	def SetRequestedRegion(self, region: ImageRegion) -> None:
		""""""
		...

	def GetRequestedRegion(self) -> ImageRegion:
		""""""
		...

	def ClearRequestedRegion(self) -> None:
		""""""
		...

	def SetContourValue(self, _arg: float) -> None:
		""""""
		...

	def GetContourValue(self) -> float:
		""""""
		...

